## gimpbaseenums gimpbaseenums — Basic GIMP enumeration data types. |

## Types and Values

enum | GimpAddMaskType
enum | GimpBlendMode
enum | GimpBucketFillMode
enum | GimpChannelOps
enum | GimpChannelType
enum | GimpCheckSize
enum | GimpCheckType
enum | GimpCloneType
enum | GimpDesaturateMode
enum | GimpDodgeBurnType
enum | GimpForegroundExtractMode
enum | GimpGradientType
enum | GimpGridStyle
enum | GimpIconType
enum | GimpImageBaseType
enum | GimpImageType
enum | GimpInterpolationType
enum | GimpMessageHandlerType
enum | GimpPaintApplicationMode
enum | GimpPDBArgType
enum | GimpPDBErrorHandler
enum | GimpPDBProcType
enum | GimpPDBStatusType
enum | GimpProgressCommand
enum | GimpRepeatMode
enum | GimpRunMode
enum | GimpSizeType
enum | GimpStackTraceMode
enum | GimpTextDirection
enum | GimpTextHintStyle
enum | GimpTextJustification
enum | GimpTransferMode
enum | GimpTransformDirection
enum | GimpTransformResize
enum | GimpUserDirectory
enum | GimpVectorsStrokeType

## Description

Basic GIMP enumeration data types.

## Functions

## Types and Values

### enum GimpAddMaskType

#### Members

GIMP_ADD_WHITE_MASK |  |
GIMP_ADD_BLACK_MASK |  |
GIMP_ADD_ALPHA_MASK |  |
GIMP_ADD_ALPHA_TRANSFER_MASK |  |
GIMP_ADD_SELECTION_MASK |  |
GIMP_ADD_COPY_MASK |  |
GIMP_ADD_CHANNEL_MASK |  |

### enum GimpBlendMode

#### Members

GIMP_FG_BG_RGB_MODE |  |
GIMP_FG_BG_HSV_MODE |  |
GIMP_FG_TRANSPARENT_MODE |  |
GIMP_CUSTOM_MODE |  |

### enum GimpBucketFillMode

#### Members

GIMP_FG_BUCKET_FILL |  |
GIMP_BG_BUCKET_FILL |  |
GIMP_PATTERN_BUCKET_FILL |  |

### enum GimpChannelOps

#### Members

GIMP_CHANNEL_OP_ADD |  |
GIMP_CHANNEL_OP_SUBTRACT |  |
GIMP_CHANNEL_OP_REPLACE |  |
GIMP_CHANNEL_OP_INTERSECT |  |

### enum GimpChannelType

#### Members

GIMP_RED_CHANNEL |  |
GIMP_GREEN_CHANNEL |  |
GIMP_BLUE_CHANNEL |  |
GIMP_GRAY_CHANNEL |  |
GIMP_INDEXED_CHANNEL |  |
GIMP_ALPHA_CHANNEL |  |

### enum GimpCheckSize

#### Members

GIMP_CHECK_SIZE_SMALL_CHECKS |  |
GIMP_CHECK_SIZE_MEDIUM_CHECKS |  |
GIMP_CHECK_SIZE_LARGE_CHECKS |  |

### enum GimpCheckType

#### Members

GIMP_CHECK_TYPE_LIGHT_CHECKS |  |
GIMP_CHECK_TYPE_GRAY_CHECKS |  |
GIMP_CHECK_TYPE_DARK_CHECKS |  |
GIMP_CHECK_TYPE_WHITE_ONLY |  |
GIMP_CHECK_TYPE_GRAY_ONLY |  |
GIMP_CHECK_TYPE_BLACK_ONLY |  |

### enum GimpCloneType

#### Members

GIMP_IMAGE_CLONE |  |
GIMP_PATTERN_CLONE |  |

### enum GimpDesaturateMode

#### Members

GIMP_DESATURATE_LIGHTNESS |  |
GIMP_DESATURATE_LUMINOSITY |  |
GIMP_DESATURATE_AVERAGE |  |

### enum GimpDodgeBurnType

#### Members

GIMP_DODGE |  |
GIMP_BURN |  |

### enum GimpForegroundExtractMode

#### Members

GIMP_FOREGROUND_EXTRACT_SIOX |  |

### enum GimpGradientType

#### Members

GIMP_GRADIENT_LINEAR |  |
GIMP_GRADIENT_BILINEAR |  |
GIMP_GRADIENT_RADIAL |  |
GIMP_GRADIENT_SQUARE |  |
GIMP_GRADIENT_CONICAL_SYMMETRIC |  |
GIMP_GRADIENT_CONICAL_ASYMMETRIC |  |
GIMP_GRADIENT_SHAPEBURST_ANGULAR |  |
GIMP_GRADIENT_SHAPEBURST_SPHERICAL |  |
GIMP_GRADIENT_SHAPEBURST_DIMPLED |  |
GIMP_GRADIENT_SPIRAL_CLOCKWISE |  |
GIMP_GRADIENT_SPIRAL_ANTICLOCKWISE |  |

### enum GimpGridStyle

#### Members

GIMP_GRID_DOTS |  |
GIMP_GRID_INTERSECTIONS |  |
GIMP_GRID_ON_OFF_DASH |  |
GIMP_GRID_DOUBLE_DASH |  |
GIMP_GRID_SOLID |  |

### enum GimpIconType

#### Members

GIMP_ICON_TYPE_STOCK_ID |  |
GIMP_ICON_TYPE_INLINE_PIXBUF |  |
GIMP_ICON_TYPE_IMAGE_FILE |  |

### enum GimpImageBaseType

#### Members

GIMP_RGB |  |
GIMP_GRAY |  |
GIMP_INDEXED |  |

### enum GimpImageType

#### Members

GIMP_RGB_IMAGE |  |
GIMP_RGBA_IMAGE |  |
GIMP_GRAY_IMAGE |  |
GIMP_GRAYA_IMAGE |  |
GIMP_INDEXED_IMAGE |  |
GIMP_INDEXEDA_IMAGE |  |

### enum GimpInterpolationType

#### Members

GIMP_INTERPOLATION_NONE |  |
GIMP_INTERPOLATION_LINEAR |  |
GIMP_INTERPOLATION_CUBIC |  |
GIMP_INTERPOLATION_LANCZOS |  |

### enum GimpMessageHandlerType

#### Members

GIMP_MESSAGE_BOX |  |
GIMP_CONSOLE |  |
GIMP_ERROR_CONSOLE |  |

### enum GimpPaintApplicationMode

#### Members

GIMP_PAINT_CONSTANT |  |
GIMP_PAINT_INCREMENTAL |  |

### enum GimpPDBArgType

#### Members

GIMP_PDB_INT32 |  |
GIMP_PDB_INT16 |  |
GIMP_PDB_INT8 |  |
GIMP_PDB_FLOAT |  |
GIMP_PDB_STRING |  |
GIMP_PDB_INT32ARRAY |  |
GIMP_PDB_INT16ARRAY |  |
GIMP_PDB_INT8ARRAY |  |
GIMP_PDB_FLOATARRAY |  |
GIMP_PDB_STRINGARRAY |  |
GIMP_PDB_COLOR |  |
GIMP_PDB_ITEM |  |
GIMP_PDB_DISPLAY |  |
GIMP_PDB_IMAGE |  |
GIMP_PDB_LAYER |  |
GIMP_PDB_CHANNEL |  |
GIMP_PDB_DRAWABLE |  |
GIMP_PDB_SELECTION |  |
GIMP_PDB_COLORARRAY |  |
GIMP_PDB_VECTORS |  |
GIMP_PDB_PARASITE |  |
GIMP_PDB_STATUS |  |
GIMP_PDB_END |  |
GIMP_PDB_PATH |  |
GIMP_PDB_BOUNDARY |  |
GIMP_PDB_REGION |  |

### enum GimpPDBErrorHandler

#### Members

GIMP_PDB_ERROR_HANDLER_INTERNAL |  |
GIMP_PDB_ERROR_HANDLER_PLUGIN |  |

### enum GimpPDBProcType

#### Members

GIMP_INTERNAL |  |
GIMP_PLUGIN |  |
GIMP_EXTENSION |  |
GIMP_TEMPORARY |  |

### enum GimpPDBStatusType

#### Members

GIMP_PDB_EXECUTION_ERROR |  |
GIMP_PDB_CALLING_ERROR |  |
GIMP_PDB_PASS_THROUGH |  |
GIMP_PDB_SUCCESS |  |
GIMP_PDB_CANCEL |  |

### enum GimpProgressCommand

#### Members

GIMP_PROGRESS_COMMAND_START |  |
GIMP_PROGRESS_COMMAND_END |  |
GIMP_PROGRESS_COMMAND_SET_TEXT |  |
GIMP_PROGRESS_COMMAND_SET_VALUE |  |
GIMP_PROGRESS_COMMAND_PULSE |  |
GIMP_PROGRESS_COMMAND_GET_WINDOW |  |

### enum GimpRepeatMode

#### Members

GIMP_REPEAT_NONE |  |
GIMP_REPEAT_SAWTOOTH |  |
GIMP_REPEAT_TRIANGULAR |  |

### enum GimpRunMode

#### Members

GIMP_RUN_INTERACTIVE |  |
GIMP_RUN_NONINTERACTIVE |  |
GIMP_RUN_WITH_LAST_VALS |  |

### enum GimpSizeType

#### Members

GIMP_PIXELS |  |
GIMP_POINTS |  |

### enum GimpStackTraceMode

#### Members

GIMP_STACK_TRACE_NEVER |  |
GIMP_STACK_TRACE_QUERY |  |
GIMP_STACK_TRACE_ALWAYS |  |

### enum GimpTextDirection

#### Members

GIMP_TEXT_DIRECTION_LTR |  |
GIMP_TEXT_DIRECTION_RTL |  |

### enum GimpTextHintStyle

#### Members

GIMP_TEXT_HINT_STYLE_NONE |  |
GIMP_TEXT_HINT_STYLE_SLIGHT |  |
GIMP_TEXT_HINT_STYLE_MEDIUM |  |
GIMP_TEXT_HINT_STYLE_FULL |  |

### enum GimpTextJustification

#### Members

GIMP_TEXT_JUSTIFY_LEFT |  |
GIMP_TEXT_JUSTIFY_RIGHT |  |
GIMP_TEXT_JUSTIFY_CENTER |  |
GIMP_TEXT_JUSTIFY_FILL |  |

### enum GimpTransferMode

#### Members

GIMP_SHADOWS |  |
GIMP_MIDTONES |  |
GIMP_HIGHLIGHTS |  |

### enum GimpTransformDirection

#### Members

GIMP_TRANSFORM_FORWARD |  |
GIMP_TRANSFORM_BACKWARD |  |

### enum GimpTransformResize

#### Members

GIMP_TRANSFORM_RESIZE_ADJUST |  |
GIMP_TRANSFORM_RESIZE_CLIP |  |
GIMP_TRANSFORM_RESIZE_CROP |  |
GIMP_TRANSFORM_RESIZE_CROP_WITH_ASPECT |  |

### enum GimpUserDirectory

`GimpUserDirectory` is deprecated and should not be used in newly-written code.

#### Members

GIMP_USER_DIRECTORY_DESKTOP |  |
GIMP_USER_DIRECTORY_DOCUMENTS |  |
GIMP_USER_DIRECTORY_DOWNLOAD |  |
GIMP_USER_DIRECTORY_MUSIC |  |
GIMP_USER_DIRECTORY_PICTURES |  |
GIMP_USER_DIRECTORY_PUBLIC_SHARE |  |
GIMP_USER_DIRECTORY_TEMPLATES |  |
GIMP_USER_DIRECTORY_VIDEOS |  |

### enum GimpVectorsStrokeType

#### Members

GIMP_VECTORS_STROKE_TYPE_BEZIER |  |